Name:           python-kmod
Version:        0.9.1
Release:        1
Summary:        Python module to work with kernel modules
License:        LGPLv2+
URL:            https://github.com/agrover/python-kmod/
Source0:        https://files.pythonhosted.org/packages/source/k/kmod/kmod-%{version}.tar.gz
BuildRequires:  python2-devel python3-devel python2-setuptools python2-Cython python3-Cython python3 kmod-devel python-unversioned-command

%global _description\
Python bindings for kmod/libkmod. \
kmod is a set of tools to handle common tasks with Linux kernel modules like insert, remove, list, check properties, resolve dependencies and aliases.\
python-kmod is a Python wrapper module for libkmod, exposing common module operations: listing installed modules, modprobe, and rmmod. 

%description %_description

%package -n python2-kmod
Summary: Python module to work with kernel modules
%{?python_provide:%python_provide python2-kmod}

%description -n python2-kmod %_description

%package -n python3-kmod
Summary:        Python module to work with kernel modules

%description -n python3-kmod %_description

%package_help

%prep
%autosetup -n kmod-%{version} -p1

%build
%{__python} setup.py build
%{__python3} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python3} setup.py install --skip-build --root %{buildroot}

%files -n python2-kmod
%{python_sitearch}/kmod/
%{python_sitearch}/*.egg-info
%doc COPYING.LESSER

%files -n python3-kmod
%{python3_sitearch}/kmod/
%{python3_sitearch}/*.egg-info
%doc COPYING.LESSER

%files help
%doc README

%changelog
* Fri Aug 21 2020 wuchaochao <wuchaochao4@huawei.com> - 0.9.1-1
- Package update to release 0.9.1

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9-21
- Package init
